| DocBook: The Definitive Guide 2.0.17 (Alpha)

# orderedlist

$Revision$

$Date$

orderedlist — A list in which each entry is marked with a sequentially incremented label

## Synopsis

### Content Model

    orderedlist ::=
    (blockinfo?,
     (title,titleabbrev?)?,
     (caution|important|note|tip|warning|literallayout|programlisting|
      programlistingco|screen|screenco|screenshot|synopsis|
      cmdsynopsis|funcsynopsis|classsynopsis|fieldsynopsis|
      constructorsynopsis|destructorsynopsis|methodsynopsis|
      formalpara|para|simpara|address|blockquote|graphic|graphicco|
      mediaobject|mediaobjectco|informalequation|informalexample|
      informalfigure|informaltable|anchor|bridgehead|remark|
      highlights|abstract|authorblurb|epigraph|indexterm|beginpage)*,
     listitem+)

### Attributes

Common attributes

Name | Type | Default

inheritnum

Enumeration:
ignore
inherit

"ignore"

continuation

Enumeration:
continues
restarts

"restarts"

numeration

Enumeration:
arabic
loweralpha
lowerroman
upperalpha
upperroman

None

spacing

Enumeration:
compact
normal

None

## Description

In an `OrderedList`, each member of the list is marked with a numeral, letter, or other sequential symbol (such as roman numerals).

### Processing expectations

Formatted as a displayed block.

If no value is specified for `Numeration`, Arabic numerals (1, 2, 3, …) are to be used.

In nested lists, DocBook does not specify the sequence of numerations.

Note that the attributes of `OrderedList` have a significant influence on the processing expectations.

### Future Changes

Introductory material may appear before the first list item.

### Parents

These elements contain orderedlist: `answer`, `appendix`, `article`, `bibliodiv`, `bibliography`, `blockquote`, `callout`, `caption`, `caution`, `chapter`, `colophon`, `constraintdef`, `dedication`, `entry`, `example`, `footnote`, `glossary`, `glossdef`, `glossdiv`, `highlights`, `important`, `index`, `indexdiv`, `informalexample`, `legalnotice`, `listitem`, `msgexplan`, `msgtext`, `note`, `para`, `partintro`, `preface`, `procedure`, `qandadiv`, `qandaset`, `question`, `refsect1`, `refsect2`, `refsect3`, `refsection`, `refsynopsisdiv`, `revdescription`, `sect1`, `sect2`, `sect3`, `sect4`, `sect5`, `section`, `setindex`, `sidebar`, `simplesect`, `step`, `taskprerequisites`, `taskrelated`, `tasksummary`, `td`, `textobject`, `th`, `tip`, `warning`.

### Children

The following elements occur in orderedlist: `abstract`, `address`, `anchor`, `authorblurb`, `beginpage`, `blockinfo`, `blockquote`, `bridgehead`, `caution`, `classsynopsis`, `cmdsynopsis`, `constructorsynopsis`, `destructorsynopsis`, `epigraph`, `fieldsynopsis`, `formalpara`, `funcsynopsis`, `graphic`, `graphicco`, `highlights`, `important`, `indexterm`, `informalequation`, `informalexample`, `informalfigure`, `informaltable`, `listitem`, `literallayout`, `mediaobject`, `mediaobjectco`, `methodsynopsis`, `note`, `para`, `programlisting`, `programlistingco`, `remark`, `screen`, `screenco`, `screenshot`, `simpara`, `synopsis`, `tip`, `title`, `titleabbrev`, `warning`.

## Attributes

continuation

  If `continuation` is specified, it indicates how list numbering should begin relative to the immediately preceding list. `Restarts`, the default, indicates that numbering should begin again at 1. `Continues` indicates that numbering should begin where the preceding list left off.

inheritnum

  In a nested list, `InheritNum` indicates whether or not the enumeration of interior lists should include the numbers of containing list items. If `InheritNum` is `Inherit` then the third item of a list inside the second item of a list inside the fourth item of a list might be enumerated as “4.2.3”. If it is `Ignore`, the default, then it would be simply “3”. (The `Numeration` attribute controls the actual format of the item numbers, of course.)

numeration

  `Numeration` specifies the style of numbering to be used for items in the current `OrderedList`.

spacing

  `Spacing` indicates whether or not the vertical space in the list should be minimized.

## See Also

`calloutlist`, `itemizedlist`, `listitem`, `segmentedlist`, `simplelist`, `variablelist`.

## Examples

    <!DOCTYPE orderedlist PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <orderedlist numeration="lowerroman">
    <listitem>
    <para>One</para>
    </listitem>
    <listitem>
    <para>Two</para>
    </listitem>
    <listitem>
    <para>Three</para>
    </listitem>
    <listitem>
    <para>Four</para>
    </listitem>
    </orderedlist>

1. One

2. Two

3. Three

4. Four

optional |  | orgdiv

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.